DocumentsGet specific document

Get specific document

Returns a single document (receipt or invoice) by its document id.

curl -X POST "https://api-gateway-prod-europe-west-1-7epuecvu.ew.gateway.dev/v2/documents/get" \
  -H "Content-Type: application/json" \
  -H "api_key: YOUR_API_KEY" \
  -d '{
  "data": {
    "documentId": "tAMAUmjewZ7SHXoDi8ax"
  }
}'
{
  "data": {
    "documentId": "b184lOqCeR7zJfmc04tV",
    "type": "receipt",
    "subType": "manual_domestic_received",
    "paymentStatus": "paid",
    "receiptUID": "O-A7DAAF78DE354C989AAF78DE351C98D7",
    "issuedAt": "2024-12-25T10:00:00Z",
    "taxPointDate": "2024-12-25T10:00:00Z",
    "createdAt": "2024-12-25T10:00:00Z",
    "totalPrice": 29.99,
    "vatCategory": "undefined",
    "approvalStatus": "default",
    "organizationId": "example_string",
    "organizationVatId": "example_string",
    "organizationTaxId": "example_string",
    "organizationName": "John Doe",
    "note": "example_string",
    "customText": "example_string",
    "internalNote": "example_string",
    "email": "user@example.com",
    "invoiceNumber": "example_string",
    "paymentType": "cash",
    "items": [
      {
        "name": "Vegánske kornútiky",
        "price": 2.5,
        "quantity": 10,
        "vatRate": 20,
        "itemType": "advance_payment",
        "unit": "ks",
        "vatAmount": 20,
        "note": "poznamka",
        "vatCategory": "undefined",
        "accountingSettings": {
          "accountingItem": {
            "accountingSoftwareId": 1,
            "value": "Naklady",
            "recalculate": false,
            "creditAccount": 502,
            "debitAccount": 302,
            "code": "2N",
            "ratioAllocation": {
              "recalculateVat50_50": false,
              "taxable": {
                "value": "example_string",
                "ratio": 80
              },
              "nonTaxable": {
                "value": "example_string",
                "ratio": 20
              }
            },
            "resourceType": "receipt"
          },
          "numericCode": {
            "accountingSoftwareId": 1,
            "value": "domestic",
            "name": "Vseobecny ciselny rad",
            "paymentType": "transfer"
          },
          "cashRegister": {
            "accountingSoftwareId": 1,
            "value": "cash_register",
            "name": "Pokladna EU"
          },
          "projects": {
            "accountingSoftwareId": 1,
            "value": "project_ZA",
            "note": "Stavba mostu"
          },
          "order": {
            "accountingSoftwareId": "example_string",
            "value": "order_bridge",
            "code": "COM",
            "name": "order 1"
          },
          "activity": {
            "accountingSoftwareId": 2,
            "value": "activity_test",
            "code": "JULO"
          },
          "expenditureCenter": {
            "accountingSoftwareId": 1,
            "value": "expenditure center",
            "code": "EXIT"
          },
          "generalDocumentAgenda": {
            "accountingSoftwareId": 1,
            "name": "document type",
            "code": "EXIT"
          },
          "predefinedNote": {
            "accountingSoftwareId": 1,
            "value": "document type"
          },
          "classificationVat": {
            "resourceTypeFlags": [
              "received_receipt"
            ],
            "accountingSoftwareId": 1,
            "name": "document type",
            "code": "EXIT",
            "validFrom": "2024-12-25T10:00:00Z",
            "validTo": "2024-12-25T10:00:00Z",
            "isReverseCharge": true
          },
          "bankAccountInfo": {
            "accountingSoftwareId": 1,
            "name": "VUB bank",
            "code": "JUL",
            "accountIdentification": "SK456"
          },
          "classificationKVVat": {
            "accountingSoftwareId": 1,
            "name": "Prijaté zjednodušené faktúry podľa §74...",
            "code": "B3"
          }
        }
      }
    ],
    "address": {
      "streetName": "Einsteinova",
      "propertyRegistrationNumber": "60",
      "buildingNumber": "30",
      "postalCode": "85101",
      "municipality": "Bratislava - mestská časť Petržalka",
      "country": "Slovensko"
    },
    "accountingSettings": {
      "accountingItem": {
        "accountingSoftwareId": 1,
        "value": "Naklady",
        "recalculate": false,
        "creditAccount": 502,
        "debitAccount": 302,
        "code": "2N",
        "ratioAllocation": {
          "recalculateVat50_50": false,
          "taxable": {
            "value": "example_string",
            "ratio": 80
          },
          "nonTaxable": {
            "value": "example_string",
            "ratio": 20
          }
        },
        "resourceType": "receipt"
      },
      "numericCode": {
        "accountingSoftwareId": 1,
        "value": "domestic",
        "name": "Vseobecny ciselny rad",
        "paymentType": "transfer"
      },
      "cashRegister": {
        "accountingSoftwareId": 1,
        "value": "cash_register",
        "name": "Pokladna EU"
      },
      "projects": {
        "accountingSoftwareId": 1,
        "value": "project_ZA",
        "note": "Stavba mostu"
      },
      "order": {
        "accountingSoftwareId": "example_string",
        "value": "order_bridge",
        "code": "COM",
        "name": "order 1"
      },
      "activity": {
        "accountingSoftwareId": 2,
        "value": "activity_test",
        "code": "JULO"
      },
      "expenditureCenter": {
        "accountingSoftwareId": 1,
        "value": "expenditure center",
        "code": "EXIT"
      },
      "generalDocumentAgenda": {
        "accountingSoftwareId": 1,
        "name": "document type",
        "code": "EXIT"
      },
      "predefinedNote": {
        "accountingSoftwareId": 1,
        "value": "document type"
      },
      "classificationVat": {
        "resourceTypeFlags": [
          "received_receipt"
        ],
        "accountingSoftwareId": 1,
        "name": "document type",
        "code": "EXIT",
        "validFrom": "2024-12-25T10:00:00Z",
        "validTo": "2024-12-25T10:00:00Z",
        "isReverseCharge": true
      },
      "bankAccountInfo": {
        "accountingSoftwareId": 1,
        "name": "VUB bank",
        "code": "JUL",
        "accountIdentification": "SK456"
      },
      "classificationKVVat": {
        "accountingSoftwareId": 1,
        "name": "Prijaté zjednodušené faktúry podľa §74...",
        "code": "B3"
      }
    },
    "exchangeRate": 3.14,
    "otherCurrency": "example_string",
    "otherTotalPrice": 29.99,
    "vatSummary": [
      {
        "taxBase": 3.14,
        "vatAmount": 3.14,
        "vatRate": 3.14
      }
    ],
    "ossSettings": {
      "countryCode": "de",
      "ossEvidentaryResource": "A",
      "ossServiceType": "BA"
    }
  },
  "success": true,
  "message": "example_string",
  "code": "APP_UNAUTHENTICATED"
}
POST
/v2/documents/get
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: api_key)
api_keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
api_keystring
Required

API Key for authentication. Provide your API key in the header.

Body

application/json
dataobject

Responses

datastring
successboolean
messagestring

optional message to help user understand error code

codestring
Allowed values:APP_UNAUTHENTICATEDAPP_INCORRECT_INPUT_DATASAVE_DATA_ERROR_CODE